curl --request POST \
--url https://api.usertour.io/v2/projects/{projectId}/environments/{environmentId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userId": "<string>",
"name": "<string>",
"companyId": "<string>",
"attributes": {},
"occurredAt": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.usertour.io/v2/projects/{projectId}/environments/{environmentId}/events"
payload = {
"userId": "<string>",
"name": "<string>",
"companyId": "<string>",
"attributes": {},
"occurredAt": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
userId: '<string>',
name: '<string>',
companyId: '<string>',
attributes: {},
occurredAt: '2023-11-07T05:31:56Z'
})
};
fetch('https://api.usertour.io/v2/projects/{projectId}/environments/{environmentId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "event",
"codeName": "<string>",
"eventDefinitionId": "<string>",
"createdAt": "<string>",
"userId": "<string>",
"companyId": "<string>",
"sessionId": "<string>",
"contentId": "<string>",
"versionId": "<string>",
"attributes": {}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"issues": [
{
"rule": "<string>",
"message": "<string>",
"path": "<string>"
}
],
"doc_url": "<string>"
}
}Track an event
Records a behavior event for a user. Unseen users are created; an unknown event name registers a definition on first use; built-in Usertour event names are refused.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
The user's external ID — the same value passed to usertour.identify(). Unseen users are created.
1 - 200The event code name. An unknown name creates the event definition on first use; built-in Usertour event names are refused.
2 - 100^[a-zA-Z][a-zA-Z0-9_]*$External ID of the company to associate the event with. Must already exist — an unknown id records the event without the association.
1 - 200Event attribute values. Unknown attribute names register on the event definition automatically.
Show child attributes
Show child attributes
When the event actually happened (ISO 8601); defaults to now.
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z|([+-](?:[01]\d|2[0-3]):[0-5]\d)))$Response
The recorded event
event Show child attributes
Show child attributes